function OpenResults();
% Открываем результаты ранее посчитанного прогноза в мат-файле.
uiload;
in_series_len=length(in_series);
    in_series4plot=in_series(beg:in_series_len);

if (flag_down==1)
    plot(yprogn1,'b');
    title('Progn1');
    %lenresult=min(length(in_series4plot),min(length(yprogn1),nbegprognoz+nprognoz));
    %razn=sum(abs(in_series4plot(tbeg_pogreshn:tend_pogreshn)-yprogn1(tbeg_pogreshn:tend_pogreshn)))/(tend_pogreshn-tbeg_pogreshn);
    %fprintf(hlogfile,'srednkw otklon rezultata(progn1) na promezhutke(%d..%d) =%d \n',tbeg_pogreshn,tend_pogreshn,razn);
    yprogn=yprogn1;
end
hold on;
if (flag_up==1)
    plot(yprogn2,'b');
    title('Progn2');
    %lenresult=min(length(in_series4plot),min(length(yprogn2),nbegprognoz+nprognoz));
    %razn=sum(abs(in_series4plot(tbeg_pogreshn:tend_pogreshn)-yprogn2(tbeg_pogreshn:tend_pogreshn)))/(tend_pogreshn-tbeg_pogreshn);
    %fprintf(hlogfile,'srednkw otklon rezultata(progn2) na promezhutke(%d..%d) =%d \n',tbeg_pogreshn,tend_pogreshn,razn);
    yprogn=yprogn2;
end
plot(in_series4plot,'r');
try
    nhier=length(hierarchies);
    for i=1:nhier
        figure;
        plot(hierarchies(i).skleenoe,'k');
        plot(hierarchies(i).mas_newy,'r');
        s=strcat('dt=',num2str(hierarchies(i).dt));
        title(s);
        legend('Skleenoe','mas newy');
    end
end

try
    if (tbeg_pogreshn>length(in_series4plot))
        tbeg_pogreshn=length(in_series4plot);
    end;
    if (tbeg_pogreshn>length(yprogn))
        tbeg_pogreshn=length(yprogn);
    end;
    if (tend_pogreshn>length(in_series4plot)) 
        tend_pogreshn=length(in_series4plot);
    end;
    if (tend_pogreshn>length(yprogn))
        tend_pogreshn=length(yprogn);
    end;
catch
    tbeg_pogreshn=nbegprognoz;
    tend_pogreshn=min(length(yprogn),length(in_series4plot));
end
razn=sum(abs(in_series4plot(tbeg_pogreshn:tend_pogreshn)-yprogn(tbeg_pogreshn:tend_pogreshn)))/(tend_pogreshn-tbeg_pogreshn);
fprintf(1,'srednkw otklon rezultata(progn1) na promezhutke(%d..%d) =%d \n',tbeg_pogreshn,tend_pogreshn,razn);


